package com.hfkj.common.pay.entity;

/**
 * @Description: 支付宝統一下单参数
 */
public class AliPayReqInfo {
    private String timeout_express;		      //该笔订单允许的最晚付款时间，逾期将关闭交易。取值范围：1m～15d。m-分钟，h-小时，d-天，1c-当天（1c-当天的情况下，无论交易何时创建，都在0点关闭）。 该参数数值不接受小数点， 如 1.5h，可转换为 90m。	90m
    private String total_amount;	          //必填。订单总金额，单位为元，精确到小数点后两位，取值范围[0.01,100000000]	9.00
    private String seller_id;	              //收款支付宝用户ID。 如果该值为空，则默认为商户签约账号对应的支付宝用户ID	2088102147948060
    private String product_code;	          //销售产品码，商家和支付宝签约的产品码	QUICK_MSECURITY_PAY
    private String body;	                  //对一笔交易的具体描述信息。如果是多种商品，请将商品描述字符串累加传给body。	Iphone6 16G
    private String subject;	                  //必填。商品的标题/交易标题/订单标题/订单关键字等。	大乐透
    private String out_trade_no;	          //必填。商户网站唯一订单号	70501111111S001111119
    private String time_expire;	              //绝对超时时间，格式为yyyy-MM-dd HH:mm。	2016-12-31 10:05
    private String goods_type;	              //商品主类型 :0-虚拟类商品,1-实物类商品	0
    private String promo_params;	          //优惠参数
    private String passback_params;	          //必填。公用回传参数，如果请求时传递了该参数，则返回给商户时会回传该参数。支付宝只会在同步返回（包括跳转回商户网站）和异步通知时将该参数原样返回。本参数必须进行UrlEncode之后才可以发送给支付宝。	merchantBizType%3d3C%26merchantBizNo%3d2016010101111
    private String enable_pay_channels;       //可用渠道，用户只能在指定渠道范围内支付
    private String store_id;	              //商户门店编号	NJ_001
    private String specified_channel;	      //指定渠道，目前仅支持传入pcredit
    private String disable_pay_channels;	  //禁用渠道，用户不可用指定渠道支付
    private String business_params;           //商户传入业务信息，具体值要和支付宝约定，应用于安全，营销等参数直传场景，格式为json格式

    public String getTimeout_express() {
        return timeout_express;
    }

    public void setTimeout_express(String timeout_express) {
        this.timeout_express = timeout_express;
    }

    public String getTotal_amount() {
        return total_amount;
    }

    public void setTotal_amount(String total_amount) {
        this.total_amount = total_amount;
    }

    public String getSeller_id() {
        return seller_id;
    }

    public void setSeller_id(String seller_id) {
        this.seller_id = seller_id;
    }

    public String getProduct_code() {
        return product_code;
    }

    public void setProduct_code(String product_code) {
        this.product_code = product_code;
    }

    public String getBody() {
        return body;
    }

    public void setBody(String body) {
        this.body = body;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getOut_trade_no() {
        return out_trade_no;
    }

    public void setOut_trade_no(String out_trade_no) {
        this.out_trade_no = out_trade_no;
    }

    public String getTime_expire() {
        return time_expire;
    }

    public void setTime_expire(String time_expire) {
        this.time_expire = time_expire;
    }

    public String getGoods_type() {
        return goods_type;
    }

    public void setGoods_type(String goods_type) {
        this.goods_type = goods_type;
    }

    public String getPromo_params() {
        return promo_params;
    }

    public void setPromo_params(String promo_params) {
        this.promo_params = promo_params;
    }

    public String getPassback_params() {
        return passback_params;
    }

    public void setPassback_params(String passback_params) {
        this.passback_params = passback_params;
    }

    public String getEnable_pay_channels() {
        return enable_pay_channels;
    }

    public void setEnable_pay_channels(String enable_pay_channels) {
        this.enable_pay_channels = enable_pay_channels;
    }

    public String getStore_id() {
        return store_id;
    }

    public void setStore_id(String store_id) {
        this.store_id = store_id;
    }

    public String getSpecified_channel() {
        return specified_channel;
    }

    public void setSpecified_channel(String specified_channel) {
        this.specified_channel = specified_channel;
    }

    public String getDisable_pay_channels() {
        return disable_pay_channels;
    }

    public void setDisable_pay_channels(String disable_pay_channels) {
        this.disable_pay_channels = disable_pay_channels;
    }

    public String getBusiness_params() {
        return business_params;
    }

    public void setBusiness_params(String business_params) {
        this.business_params = business_params;
    }
}
